package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability591/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkOrderListRequest struct {
	/*
	   查询参数     */
	BatchQueryRequest *domain.AlibabaWdkOrderListBatchQueryRequest `json:"batch_query_request,omitempty" required:"false" `
}

func (s *AlibabaWdkOrderListRequest) SetBatchQueryRequest(v domain.AlibabaWdkOrderListBatchQueryRequest) *AlibabaWdkOrderListRequest {
	s.BatchQueryRequest = &v
	return s
}

func (req *AlibabaWdkOrderListRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.BatchQueryRequest != nil {
		paramMap["batch_query_request"] = util.ConvertStruct(*req.BatchQueryRequest)
	}
	return paramMap
}

func (req *AlibabaWdkOrderListRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
